package com.contec.jar.cms50ew;

import java.util.ArrayList;
import java.util.Calendar;

public class DeviceDataIW {

	/** the user's name get from the device*/
	public String mUserName;
	/** value ,Each group of four byte,spo、pluse、pi_h、pi_l*/
	public ArrayList<byte[]> valueList = new ArrayList<byte[]>();
	/** PI value*/
	public int _Pi;
	/** measure time*/
	public int _Year;
	public int _Month;
	public int _Day;
	public int _Hour;
	public int _Min;
	public int _Sec;
	
	public byte[] Code = new byte[8];
	public int Version = 0;
	
	public int _DataLen;
	
	public int _Patch_Count = 0;
	
	/**
	 * 
	 * @return 返回数据点的详细信息
	 */
	public String getDescription(){
		String _return ="Time:"+_Year+" - " + _Month + " - " + _Day + "   "
		      + _Hour + " : " + _Min + " : " + _Sec;
		for(int i = 0; i < valueList.size(); i++){
			String _data = "\n" + "SpO2:" + valueList.get(i)[0] + "\n" +"pluse:" + valueList.get(i)[1];
			_return= _return+ _data;
		}
		return _return;
	}
	
	public Calendar get_start_Calendar(){
		Calendar _Calendar = Calendar.getInstance();
		_Calendar.set(_Year, _Month-1, _Day, _Hour, _Min, _Sec);
		return _Calendar;
	}
	
	public byte[] getSpO2(){
		int _len = valueList.size();
		if(_len>0){
			byte[] _SpO2 = new byte[_len];
			for(int i = 0; i < _len ; i++){
				if(valueList.get(i)[0]<=0 | valueList.get(i)[0]>100){
					_SpO2[i] = (byte)0x7f;
				}else{
					_SpO2[i] = valueList.get(i)[0];
				}
			}
			return _SpO2;
		}else{
			return null;
		}
	}
	
	public Calendar get_end_Calendar(){
		Calendar _Calendar = Calendar.getInstance();
		_Calendar.set(_Year, _Month-1, _Day, _Hour, _Min, _Sec);
		_Calendar.add(Calendar.SECOND, valueList.size()*5*1000);
		return _Calendar;
	}
}
